/*

  REXX Script to install OPCast/2 - and create a desktop folder

*/

if RxFuncQuery('SysLoadFuncs') then do
   call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
   call SysLoadFuncs
end

say "Installing OPCast/2...."

dir = directory() || '\'

say "Creating folder"
call SysCreateObject "WPFolder", "Renegade Offline Broadcaster", "<WP_DESKTOP>", "OBJECTID=<OPCASTFOLDER>;ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=YES;ICONFONT=10.Helv;T;ICONFILE=" || dir || "OPCAST.ICO", "replace"
say "Creating program objects"
call SysCreateObject "WPProgram", "Opcast", "<OPCASTFOLDER>", "EXENAME=" || dir || "OPCAST2.EXE;STARTUPDIR=" || dir || ";ICONVIEW=FLOWED,NORMAL;ALWAYSSORT=YES;ICONFILE=" || dir || "OPCAST.ICO", "replace"
call SysCreateObject "WPProgram", "Readme", "<OPCASTFOLDER>", "EXENAME=E.EXE;PARAMETERS=" || dir || "OPCAST2.DOC", "replace"
say "OPCast/2 v1.11 Installation is completed - enjoy."
say "For the latest version goto http://www.three-d.net/dore"
